package com.kernelmaft.zanbur

import android.os.*
import androidx.activity.*
import androidx.compose.foundation.*
import androidx.compose.material3.*
import androidx.compose.material3.MaterialTheme.shapes
import androidx.compose.material3.MaterialTheme.typography
import androidx.compose.runtime.*
import androidx.compose.ui.platform.*
import androidx.compose.ui.unit.*



val compactSpacing = 16 . dp

@Composable fun ZanburTheme ( content : @Composable () -> Unit ) {
	val colorScheme = run {
		if ( isSystemInDarkTheme () )
			dynamicDarkColorScheme ( LocalContext . current )
		else
			dynamicLightColorScheme ( LocalContext . current )
	}

	MaterialTheme ( colorScheme, shapes , typography , content )
}

open class EdgeToEdgeActivity : ComponentActivity () {
	override fun onCreate ( savedInstanceState : Bundle ? ) {
		super . onCreate (savedInstanceState)

		enableEdgeToEdge ()
		actionBar ?. hide ()
	}
}
